Catalyst no compatible con Xorg 1.16

Necesitas ayuda instalando Arch Linux? pregunta aquí!
Responder
Avatar de Usuario
Hazaam
Archer Extremo
Archer Extremo
Mensajes: 167
Registrado: 31 Dic 2010, 06:58
Ubicación: Bogotá, Colombia

Catalyst no compatible con Xorg 1.16

Mensaje por Hazaam » 10 Ago 2014, 13:31

Buenas amigos,

Desde que volví a la U, he vuelto a trastear con Arch, y mi nuevo portátil, un Asus K550D, que para mi es un maquinón, pero que no sé si es bueno o malo, tiene una APU A8, por lo que su gráfica de combate es una ATI HD 8670M. Resulta que leyendo la Wiki, el controlador oficial, el Catalyst ya no está en los repositorios oficiales y además de encontrarse en el AUR, se encuentra también en un repositorio del mantenedor Violo (creo que así se escribe).

Hace unos 3 meses, ese controlador no me daba problemas. Iba muy bien, y el control center del ATI me gustó bastante; hice proyecciones HDMI, que aunque no configuré el sonido fue fácil de hacer. Ahora, después de una bendita actualización el vídeo se echó a perder. Leyendo, vi que Xorg cambió de versión, de la 1.15 a la 1.16 y que más o menos, el controlador pasó a ser incompatible con esta versión de Xorg.

Intenté hacer un downgrade del Xorg en mi sistema, pero me comencé a liar con las dependenicas, hasta el punto que para instalar synaptics, me pedía quitar el Xorg. Así que lo descarté. Intente instalarlo de nuevo con esa versión del Xorg, paso a paso, despacito cosa que de pronto hacía algo mal, pero no, definitivamente con la versión 1.16 no va.

De nuevo en la Wiki, vi que así como el tipo tiene los controladores de Catalyst en un repositorio, también hay un repositorio con la versión directamente compatible del Xorg. Sólo que luego, perdí mis marcadores, y ya no lo volví a encontrar. Que pena el ladrillo tan grande, pero me gustaría saber si hay alguna otra forma de poder hacerme al Catalyst, sea con el Xorg 1.15 o el 1.16, o el que sea, que yo la gráfica en lo único que la exijo es con el WoW, de resto que me permita realizar proyección por HDMI o VGA, pantalla clonada y ya.

Estoy ahora puesto con el ATI libre (xf86-video-ati), y al principio fue una ladilla hacer funcionar el sistema, más por los remanentes del Catalyst que otra cosa, pero ya funciona bien. He notado que en mi entorno gráfico, KDE, a veces como que va a tirones; es decir, voy moviendo el mouse o muevo una ventana, y como que se queda pegado por 1 segundo. Hasta el momento no molesta, pero es perceptible fácilmente. Además, leyendo (me la paso más leyendo que haciendo) según la Wiki, el ATI no va tan bien con el 3D como sí el Catalyst.

Agradezco su atención, colaboración y disposición.

Saludos!
Los ordenadores son buenos siguiendo instrucciones, no leyendo tu mente.

Linux User No. 467234 - Machine No. 375616
HP Pavilion Dv2700 - ArchLinux - Gnome 3 - Openbox 3.4
Asus K550D - ArchLinux - KDE 4

Avatar de Usuario
snkisuke
Archer Intermedio
Archer Intermedio
Mensajes: 72
Registrado: 03 Jun 2012, 11:34
Ubicación: human- infested Buenos Aires

Re: Catalyst no compatible con Xorg 1.16

Mensaje por snkisuke » 11 Ago 2014, 11:44

hola los repositorios que decis son estos Xorg repositories elprimero te vulve a xorg 1.15 aunque te recomiendo que esperes con el radeon libre en xorg 1.16 hasta que salga una version de catalyst compatible, xorg 1.16 trae muchas mejoras a nivel seguridad como que ya las X no corren en modo root por asi decirlo. un Saludo espero te sirva
Sí, no tenemos destino. Sólo aquellos consumidos por la ignorancia y el miedo que dan pasos en falso pueden hundirse en las turbias aguas llamadas "Destino".

Responder